<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.10.RELEASE</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.brilliance</groupId>
    <artifactId>gjjs-bd-runtime</artifactId>
    <version>0.0.1</version>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <druid.spring.boot.starter.version>1.1.10</druid.spring.boot.starter.version>
        <spring.version>2.4.5</spring.version>
        <jackson.version>2.11.4</jackson.version>
        <dom4j.version>2.1.1</dom4j.version>
        <jaxen.version>1.2.0</jaxen.version>
        <itextpdf.version>5.5.13</itextpdf.version>
        <itext-asian.version>5.2.0</itext-asian.version>
        <xmlworker.version>5.5.8</xmlworker.version>
        <mybatis.spring.boot.starter.version>2.1.4</mybatis.spring.boot.starter.version>
        <mysql.connector.java.version>5.1.29</mysql.connector.java.version>
        <poi.ooxml.version>4.1.0</poi.ooxml.version>
        <commons.io.version>2.6</commons.io.version>
        <commons.codec.version>1.10</commons.codec.version>
        <commons.beanutils.version>1.9.3</commons.beanutils.version>
        <commons.compress.version>1.18</commons.compress.version>
        <guava.version>30.1.1-jre</guava.version>
        <lombok.version>1.18.20</lombok.version>
        <gson.version>2.8.5</gson.version>
        <javax.persistence.api.version>2.2</javax.persistence.api.version>
        <velocity.version>1.7</velocity.version>
        <velocity.tools.version>2.0</velocity.tools.version>
        <jackson.databind.version>2.11.4</jackson.databind.version>
        <commons.lang3.version>3.3.2</commons.lang3.version>
        <validation.api.version>1.1.0.Final</validation.api.version>
        <commons.text.version>1.9</commons.text.version>
        <kryo5.version>5.3.0</kryo5.version>
        <jackson.annotations.version>2.9.0</jackson.annotations.version>
        <slf4j.api.version>1.7.25</slf4j.api.version>
        <spring.context.version>5.2.9.RELEASE</spring.context.version>
        <fastjson.version>1.2.53</fastjson.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.brilliance</groupId>
            <artifactId>gjjs-mda</artifactId>
            <version>0.0.1</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
            <version>${jackson.annotations.version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>${jackson.databind.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>${commons.beanutils.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>${commons.io.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>${poi.ooxml.version}</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>${slf4j.api.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <version>${spring.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
            <version>${spring.context.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
            <version>${mybatis.spring.boot.starter.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>${spring.version}</version>
        </dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>${gson.version}</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>${fastjson.version}</version>
        </dependency>
        <dependency>
            <groupId>org.dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>${dom4j.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons.lang3.version}</version>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>${guava.version}</version>
        </dependency>
        <dependency>
            <groupId>com.esotericsoftware.kryo</groupId>
            <artifactId>kryo5</artifactId>
            <version>${kryo5.version}</version>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>${lombok.version}</version>
        </dependency>

        <dependency>
            <groupId>com.oracle</groupId>
            <artifactId>ojdbc6</artifactId>
            <version>12.1.0.2</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/lib/ojdbc6-12.1.0.2.jar</systemPath>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <distributionManagement>
        <repository>
            <id>brilliance-virtual</id>
            <name>brilliance-virtual</name>
            <url>http://114.115.138.98:9620/artifactory/gjjs-bd-runtime/</url>
        </repository>
    </distributionManagement>

    <repositories>
        <repository>
            <id>brilliance-virtual</id>
            <name>brilliance-virtual</name>
            <url>http://114.115.138.98:9620/artifactory/brilliance-virtual/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>


</project>